<?php


require_once('../../../../../wp-config.php');
require_once('../../wpmt.php');
require_once('../../includes/wpmt_apptop.php');

//Get authorized domain names	
$allowed_domains_result = $wpdb->get_results("SELECT * FROM ".WPMT_DB_PREFIX."wpmt_settings WHERE name LIKE 'wpmt_allowed_domain_%' AND value != ''");		

if($allowed_domains_result!='') {
	
	//Build allowed domains array
	$i = 1;
	foreach($allowed_domains_result as $allowed_domain) { $allowed_domains[$i]=$allowed_domain->value; $i++; }
	
	//Build cookie safe domain from remote domain	
	$domain = parse_url($_SERVER['HTTP_REFERER']);
	$domain = preg_replace('/^www\./','',$domain['host']);
	$domain = preg_replace('/:\d+$/','',$domain);	

		if(!in_array($domain,$allowed_domains)) { die();	}
		
} else { die(); }

header("Content-type: text/javascript"); 

wpmt_set_js_variables(1);
require_once('jquery.js');

?>


function wpmt_ajax_remote(wpmt_action,wpmt_thedata) {
    
      $.ajax
          ({
              type: "POST",
              url: ajaxurl,
              dataType: "jsonp",
              jsonp: "wpmt",
              crossDomain : true,
              data: {
                  'action' : wpmt_action,
                  'd': wpmt_thedata
              },
              success: function () { },
              error: function (xhr, ajaxOptions, thrownError) { }
          });  
    
}

function wpmt() { }

function wpmt_get_url()
{
    var vars = [], hash;
    var hashes = window.location.href.slice(window.location.href.indexOf('?') + 1).split('&');
    for(var i = 0; i < hashes.length; i++)
    {
        hash = hashes[i].split('=');
        vars.push(hash[0]);
        vars[hash[0]] = hash[1];
    }
    return vars;
}

$(document).ready(function(){
	
    if(typeof wpmt_get_url()['wpmt_viewing'] == 'undefined') {    
	
	var wpmt_visitor = wpmt_visitor_id + '|' + wpmt_impression_id + '|';
	var wpmt_mouse_coords = '';
	var wpmt_window_size = '';
	var wpmt_scroll_coords = '';
	var wpmt_click_coords = '';
	var wmpt_submit = '';

	var wpmt_mouse_x = 0;
	var wpmt_mouse_y = 0;
	var wpmt_mouse_last_x = 0;
	var wpmt_mouse_last_y = 0;

	var wpmt_width = jQuery(window).width();
	var wpmt_last_width = 0;
	var wpmt_height = jQuery(window).height();
	var wpmt_last_height = 0;
	
	var wpmt_scroll_top = 0;
	var wpmt_last_scroll_top = 0;
	
	var wpmt_time = 0;
	var wpmt_time_exact = 0;
	
	wpmt_log_interval = wpmt_mouse_interval * 100
	
	
	setInterval(function() { wpmt_time_exact = wpmt_time_exact + 5; }, 50);
	
	setInterval(function() { 
	
	wpmt_time = wpmt_time + wpmt_mouse_interval;
	
	if(wpmt_mouse_last_x!=wpmt_mouse_x || wpmt_mouse_last_y!=wpmt_mouse_y)	{	wpmt_mouse_coords = wpmt_mouse_coords + 'b' + wpmt_mouse_x +'a'+ wpmt_mouse_y + 'a' + wpmt_time;	}
	
	if(wpmt_last_width!=wpmt_width || wpmt_last_height!=wpmt_height)	{	wpmt_window_size = wpmt_window_size + 'b' + wpmt_width +'a'+ wpmt_height + 'a' + wpmt_time;	}
	
	if(wpmt_last_scroll_top!=wpmt_scroll_top)	{	wpmt_scroll_coords = wpmt_scroll_coords + 'b' + wpmt_scroll_top + 'a' + wpmt_time;	}

	wpmt_last_width = wpmt_width;
	wpmt_last_height = wpmt_height;
	wpmt_last_scroll_top = wpmt_scroll_top;
	wpmt_mouse_last_x = wpmt_mouse_x;
	wpmt_mouse_last_y = wpmt_mouse_y;
	
	},wpmt_log_interval);
    
	setInterval(function() {
    	wpmt_submit = wpmt_visitor + wpmt_mouse_coords +"c"+ wpmt_click_coords +"c"+ wpmt_window_size +"c"+ wpmt_scroll_coords;    
    	
        if(wpmt_submit.length > 400) {        
		wpmt_ajax_remote('wprdt',wpmt_submit);
		wpmt_mouse_coords = '';
		wpmt_window_size = '';
		wpmt_scroll_coords = '';
		wpmt_click_coords = '';
        wpmt_submit = '';
        
        
        }
       
	}, 1000);	
   $(window).unload(function() { wpmt_ajax_remote('wprdt',wpmt_visitor + wpmt_mouse_coords +"c"+ wpmt_click_coords +"c"+ wpmt_window_size +"c"+ wpmt_scroll_coords); });
   $(document).click(function(e){ wpmt_click_coords = wpmt_click_coords + 'b' + e.pageX +'a'+ e.pageY + 'a' + wpmt_time_exact + '';  });
   $(document).mousemove(function(e){	   
		wpmt_height = $(window).height();
		wpmt_width = $(window).width();
		wpmt_scroll_top = $(window).scrollTop();
		wpmt_mouse_x = e.pageX;
		wpmt_mouse_y = e.pageY;
		
   });    
   }
   
window.addEventListener('message',function(event) {
	event.source.postMessage($(document).height(),event.origin);
},false);


})

