<?php


function wpmt_realtime_visitor_table() {
	
//if( !isset( $_POST['wpmt_nonce'] ) || !wp_verify_nonce($_POST['wpmt_nonce'], 'wpmt-nonce') ) { echo 'not cool'; die(); }	

global $wpdb;

//Delete no longer active visitors
//Kill anyone that hasnt had an impression in 2 hours or hasn't submitted tracking data within 2 minutes


$wpdb->query('

DELETE FROM '.WPMT_DB_PREFIX.'wpmt_live_visitors 
WHERE 
wpmt_visitor_id NOT IN (SELECT wpmt_visitor_id FROM '.WPMT_DB_PREFIX.'wpmt_data WHERE time_created > "'.date('Y-m-d H:i:s',current_time('timestamp',1)-300).'")

');



//Get current active visitors
$visitors = $wpdb->get_results('SELECT last_impression_url, COUNT(*) as total_visits FROM '.WPMT_DB_PREFIX.'wpmt_live_visitors WHERE filtered != 1 GROUP BY last_impression_url ORDER BY total_visits DESC');


//Display active visitors
if($wpdb->num_rows < 1) {
	
	 echo '
	 
	 jQuery("#wpmt_no_visitors").show();
	 jQuery("#wpmt_active_visitors").hide();
	 jQuery("#wpmt_active_visitors").html("");
	 
	 '; 
	 
	 
	 }
else {	

	 echo 'jQuery("#wpmt_no_visitors").hide();';  
	 
	 /*
	 LOAD RECORDINGS, DO OFFSETS AND START PLAYING THEM
	 */
		
		//Clear other data
		echo "
		
		jQuery.each( m, function(i, l){
   			if(l != undefined && i != undefined && m[i]!=undefined) {				
				
				if(jQuery('#m' + i).length > 0)  { jQuery(\"#m\"+i).remove(); }
				if(jQuery('#c' + i).length > 0)  { jQuery(\"#c\"+i).remove(); }			
				if(typeof m[i]['to']=='undefined') { m[i]['to'] = 0; } 			
				if(typeof m[i]['c']!='undefined') {
					jQuery.each( m[i]['c'], function(j, k){	
						if(typeof m[i]['c']!='undefined') {
							if(typeof m[i]['c'][j]!='undefined' && j > 0) {
								jt = parseInt(j) + m[i]['to'];									
								if(jQuery('#c' + i + \"-\"+ jt).length > 0)  { jQuery('#c' + i + \"-\"+ jt).remove(); }	
							}
						}
					});
				}
			}
		});";
		
		//Clear the array
		echo 'delete window.m;';		
		echo 'm = new Array();';		
		
		//Clear warning messages
		echo 'jQuery("#wpmt_placeholder").hide();';	
		
		//Create recordings		
		if($_POST['settings']!='') {		
	 		$impression_url_to_load = $_POST['settings'];
			$recordings = $wpdb->get_results('SELECT * FROM '.WPMT_DB_PREFIX.'wpmt_live_visitors WHERE filtered != 1 AND last_impression_url = "'.$impression_url_to_load.'" ORDER BY time_last_impression ASC');
		} else {		
			//Get the url with the most viewers and load that
			$impression_row = $wpdb->get_row('SELECT last_impression_url, COUNT(*) as total_visits FROM '.WPMT_DB_PREFIX.'wpmt_live_visitors WHERE filtered != 1 GROUP BY last_impression_url ORDER BY total_visits DESC',ARRAY_A);
			$recordings = $wpdb->get_results('SELECT * FROM '.WPMT_DB_PREFIX.'wpmt_live_visitors WHERE filtered != 1 AND last_impression_url = "'.$impression_row['last_impression_url'].'" ORDER BY time_last_impression ASC');
			$impression_url_to_load = $impression_row['last_impression_url'];
		}
		
		
		$i = 1;
		$first_time = 0;
		$offset_time = 0;
		foreach($recordings as $recording) {
			
			if($first_time!=0) { $offset_time = floor((strtotime($recording->time_last_impression) - $first_time) * 100); }
			
			echo wpmt_mousebuilder($recording->wpmt_visitor_id,$recording->wpmt_impression_id,''.$i,$offset_time).' 			
			
			'; $i++;
			
			if($first_time==0) { $first_time = strtotime($recording->time_last_impression); }
			
			$impression = $wpdb->get_row('SELECT impression_url FROM '.WPMT_DB_PREFIX.'wpmt_impressions WHERE id = '.$recording->wpmt_impression_id,ARRAY_A);
			
		}
		
		//Set iframe source
		$url = parse_url($impression['impression_url']);
		
		if($_SERVER['HTTP_HOST']!=$url['host']) {
			$domain = $url['scheme'].'://'.$url['host'];
		}
		
		if(strpos($impression['impression_url'],'?')===false) {
			
		$iframe_url = $impression['impression_url'].'?wpmt_viewing=1';	
		
		} else {
			
		$iframe_url = $impression['impression_url'].'&wpmt_viewing=1';
			
		}
		
		
		echo 'if(last_iframe_url != "'.$iframe_url.'") { jQuery("#real_time_iframe").attr("src", "'.$iframe_url.'");}';
			
		echo 'last_iframe_url = "'.$iframe_url.'";';
			
			

		//Set new window height if height = 100
		echo '		
		if(jQuery( "#real_time_wrapper" ).height()==140) { jQuery( "#real_time_wrapper" ).height(540); jQuery( "#real_time_display" ).height(500); jQuery( "#real_time_container" ).height(500); 
wpmt_height = jQuery("#real_time_display").height();
wpmt_width = jQuery("#real_time_display").width();} 			  
			
		';		
	
		//Calculate new end time and set it
		echo '
		wpmt_max_time = 0;
		 jQuery.each( m, function(i, l){ 
			  if(l != undefined && i != undefined && m[i][\'m\']!=undefined) {		
			  		if(typeof m[i][\'to\']==\'undefined\') { m[i][\'to\'] = 0; } 	
					if(m[i][\'end_time\'] +  m[i][\'to\'] > wpmt_max_time) { wpmt_max_time = m[i][\'end_time\'] +  m[i][\'to\']; } 
				 }
			});
			
		jQuery( "#wpmt_timeline" ).slider("option", "max", wpmt_max_time);		
		';
						
	echo 'if(iframe_message_interval) { window.clearInterval(iframe_message_interval); iframe_message_interval = 0;}';
		
	if($domain!='') { echo 'domain = "'.$domain.'";'; } else { echo 'domain = "";';}	 
	 
	 $html = '';
	 $i = 1;
foreach($visitors as $visitor) {
		
	//Click Count on the page
	$clicks = $wpdb->get_results('SELECT click_coords FROM '.WPMT_DB_PREFIX.'wpmt_data WHERE wpmt_visitor_id IN (SELECT wpmt_visitor_id FROM '.WPMT_DB_PREFIX.'wpmt_live_visitors) AND wpmt_impression_id IN (SELECT wpmt_impression_id FROM '.WPMT_DB_PREFIX.'wpmt_live_visitors WHERE last_impression_url = "'.$visitor->last_impression_url.'")');			
	
	$click_string = '';
	foreach($clicks as $click) { if($click->click_coords!='') { $click_string .= 'b'.$click->click_coords; }}
	$click_array = explode('b',$click_string);
	$clicks = count($click_array);		

	if($visitor->last_impression_url == $impression_url_to_load) { $bg_color = 'background-color:#3355BB;';} else { $bg_color = ''; }

	 if ($i % 2 == 0) { $style="wpmt_table_row_alt";  } else { $style="wpmt_table_row"; } $i++;
	if($visitor->total_visits==1) { $s = ''; } else { $s = 's'; }
	$html .= '<div style="width:95%; border-right:20px solid #ffffcc; border-left:20px solid #ffffcc;"><table class="widefat" width="100%" style="width:100%;"><tr class="'.$style.'"><td width=250 style="width:250px; padding-left:10px;"><a href="javascript:void(0)" onclick="wpmt_ajax_visitors_table(\\\'wpmt_realtime_visitor_table\\\',\\\'real_time_visitors_loading\\\',\\\''.$visitor->last_impression_url.'\\\');reset_bg_colors(); jQuery(this).css(\\\'background-color\\\',\\\'#3355BB\\\'); wpmt_play(); wpmt_selected_page = \\\''.$visitor->last_impression_url.'\\\';" class="wpmt_header_link_selected" style="padding:5px; font-weight:bold; display:block; margin-bottom:5px; '.$bg_color.'">'.$visitor->total_visits.' Visitor'.$s.' <span style="float:right;">Watch Live &raquo;&raquo;</span></a></td><td style="width:100px;"><a href="javascript:void(0)" onclick="wpmt_ajax_visitors_table(\\\'wpmt_realtime_visitor_table\\\',\\\'real_time_visitors_loading\\\',\\\''.$visitor->last_impression_url.'\\\');reset_bg_colors(); jQuery(this).css(\\\'background-color\\\',\\\'#3355BB\\\'); wpmt_play(); wpmt_selected_page = \\\''.$visitor->last_impression_url.'\\\';" class="wpmt_header_link_selected" style="padding:5px; font-weight:bold; display:block; margin-bottom:5px; text-align:center; width:110px; '.$bg_color.'">'.$clicks.' Clicks</a></td><td style="font-size:16px; color:#009; padding-top:11px; font-weight:bold; width:600px; overflow:hidden;">'.$visitor->last_impression_url.'<td><td style="padding-top:12px;"><a href="'.$visitor->last_impression_url.'" target="_new">Visit Page</a></td></tr></table></div>';	
	
	}	
		 
	echo 'jQuery("#wpmt_active_visitors").show();';
	echo 'jQuery("#wpmt_active_visitors").html(\''.$html.'\');';
}



die();

}

?>