<?php

function wprdt() {
	
	global $wpdb;	
	
	$load_check = $wpdb->get_row('SELECT AVG(load_time) as avg_load_time FROM '.WPMT_DB_PREFIX.'wpmt_impressions WHERE filtered != 1 ORDER BY time_created DESC LIMIT 0, 20',ARRAY_A);
	
	if($load_check['avg_load_time'] > 7000) { die(); }

	//Die if visitor is filtered	
	if(wpmt_filter()==1) {			
	  header('Access-Control-Allow-Origin: *');
	  header("Content-type: text/javascript"); 			
	  die(); 
	}

	//Break apart incoming data	
	$tracking_data = explode('|',$_REQUEST['d']);
	$visitor_data[0] = $tracking_data[0];
	$visitor_data[1] = $tracking_data[1];	
	
	
	$tracking_data = explode('c',$tracking_data[2]);
		
	$mouse_coords = substr($tracking_data[0],1);
	$click_coords = substr($tracking_data[1],1);
	$window_size = substr($tracking_data[2],1);
	$scroll_coords = substr($tracking_data[3],1);	
	
	//Don't even do any sql if all of the data is empty	
	if($mouse_coords!='' || $click_coords!='' || $window_size!=''  || $scroll_coords!='') {	
		
	//Verify the visitor and the page view
	$visitor = $wpdb->get_row('SELECT id FROM '.WPMT_DB_PREFIX.'wpmt_visitors WHERE cookie = "'.$visitor_data[0].'"',ARRAY_A);
	$impression = $wpdb->get_row('SELECT id, impression_url, time_created FROM '.WPMT_DB_PREFIX.'wpmt_impressions WHERE text_id = "'.$visitor_data[1].'" AND wpmt_visitor_id = '.$visitor['id'],ARRAY_A);
	wpmt_active_visitor($visitor['id'],$impression['id'],1,$impression['impression_url']);
	
	$time_created = strtotime($impression['time_created']);
	
	$time_since_view = (time() - $time_created)/60; 
	
	if($visitor['id']!='' && $visitor['id']!=0 && $impression['id']!='' && $impression['id']!=0 && $time_since_view <  WPMT_MAX_RECORDING_LENGTH) { 
		
			//Log the data	
			$data['time_created'] = current_time('mysql', 1);
			$data['wpmt_visitor_id'] = $visitor['id'];
			$data['wpmt_impression_id'] = $impression['id'];
			$data['mouse_coords']=$mouse_coords;
			$data['click_coords']=$click_coords;
			$data['window_size']=$window_size;
			$data['scroll_top']=$scroll_coords;
			$data['html_clicks']='';
			
			$wpdb->insert(WPMT_DB_PREFIX.'wpmt_data',$data);
			
			header('Access-Control-Allow-Origin: *');
			header("Content-type: text/javascript"); 
			 die(); 
			
	} else { 
	
			header('Access-Control-Allow-Origin: *');
			header("Content-type: text/javascript"); 
			
			 die(); 
	}
	
	}
	
}


?>