<?php



function wpmt_displaybuilder($domain='') {

//global $wpdb;
?>

<script type="text/javascript">

var wpmt_height = jQuery("#real_time_display").height();
var wpmt_width = jQuery("#real_time_display").width();
var wpmt_scroll_top = jQuery("#real_time_container").scrollTop();
var wpmt_player = 0;
var wpmt_rewinder = 0;
var wpmt_toggle_heat_vision = 0;
var wpmt_toggle_moves = 0;
var wpmt_toggle_animation = 0;
var wpmt_toggle_details = 1;
var wpmt_is_playing = 0;
var wpmt_max_time = 0;
var heat_frame_rendered = 0;
var p = new Array(); 
var wpmt_iframe_height = 0;
var wpmt_autofollow = 0;
var iframe_message_interval = 0;
var domain = "<?= $domain ?>";

jQuery('#real_time_container').scroll(function() { 

wpmt_scroll_top = jQuery("#real_time_container").scrollTop();
if(wpmt_toggle_animation==0 && wpmt_toggle_heat_vision==0) { wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); }
//if(wpmt_autofollow!=0 && wpmt_autofollow!='') { wpmt_autofollow = 0; }

});

jQuery(window).resize(function() { 

wpmt_height = jQuery("#real_time_display").height();
wpmt_width = jQuery("#real_time_display").width();
heat_frame_rendered = 0;

jQuery("canvas").attr('width', wpmt_width - 20).attr('height', wpmt_iframe_height);
wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 

});

//Toggle functions
function wpmt_toggle_heat() {
	
	if(wpmt_toggle_heat_vision==0) {	
	
  		//Clear cursors and clicks
		jQuery.each( m, function(i, l){
   			if(l != undefined && i != undefined && m[i]!=undefined) {				
				
				if(jQuery('#m' + i).length > 0)  { jQuery("#m"+i).remove(); }
				if(jQuery('#c' + i).length > 0)  { jQuery("#c"+i).remove(); }			
				if(typeof m[i]['to']=='undefined') { m[i]['to'] = 0; } 			
				if(typeof m[i]['c']!='undefined') {
					jQuery.each( m[i]['c'], function(j, k){	
						if(typeof m[i]['c']!='undefined') {
							if(typeof m[i]['c'][j]!='undefined' && j > 0) {
								jt = parseInt(j) + m[i]['to'];									
								if(jQuery('#c' + i + "-"+ jt).length > 0)  { jQuery('#c' + i + "-"+ jt).remove(); }	
							}
						}
					});
				}
			}
		});
	
		document.getElementById('btn_heat_on').style.display="";
		document.getElementById('btn_heat_off').style.display="none";	
		wpmt_toggle_heat_vision = 1;	
		heat_frame_rendered = 0;
		wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 
		
	} else {
		
		document.getElementById('btn_heat_on').style.display="none";
		document.getElementById('btn_heat_off').style.display="";	
		wpmt_toggle_heat_vision = 0;
		jQuery("canvas").attr('width', wpmt_width);
		wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 
		
	}
	
}

function wpmt_toggle_move() {
	
	if(wpmt_toggle_moves==0) {		
	
  		//Clear cursors
		jQuery.each( m, function(i, l){
   			if(l != undefined && i != undefined && m[i]!=undefined) {				
				
				if(jQuery('#m' + i).length > 0)  { jQuery("#m"+i).remove(); }	
				if(jQuery('#c' + i).length > 0)  { jQuery("#c"+i).remove(); }	
				
			}
		});
	
		document.getElementById('btn_moves').style.display="none";
		document.getElementById('btn_clicks').style.display="";	
		wpmt_toggle_moves = 1;	
		wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 
		
	}
	else {		
	
		if(wpmt_toggle_heat_vision==0 && wpmt_toggle_animation==1) {
			
		wpmt_toggle_heat();	
			
		}	
	
  		//Clear clicks
		jQuery.each( m, function(i, l){
   			if(l != undefined && i != undefined && m[i]!=undefined) {				
				if(typeof m[i]['to']=='undefined') { m[i]['to'] = 0; } 			
				if(typeof m[i]['c']!='undefined') {
					jQuery.each( m[i]['c'], function(j, k){	
						if(typeof m[i]['c']!='undefined') {
							if(typeof m[i]['c'][j]!='undefined' && j > 0) {
								jt = parseInt(j) + m[i]['to'];									
								if(jQuery('#c' + i + "-"+ jt).length > 0)  { jQuery('#c' + i + "-"+ jt).remove(); }	
							}
						}
					});
				}
			}
		});
	
		document.getElementById('btn_moves').style.display="";
		document.getElementById('btn_clicks').style.display="none";	
		wpmt_toggle_moves = 0;	
		wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 
		
	}	
}

function wpmt_toggle_animated() {
	
	if(wpmt_toggle_animation==0) {	
	
		if(wpmt_toggle_moves==0 && wpmt_toggle_heat_vision==0) {
			
		wpmt_toggle_heat();	
			
		}	
	
		wpmt_toggle_animation = 1;	
		wpmt_pause();
		jQuery( "#wpmt_timeline" ).slider( "value", 0);
		wpmt_build_display(0);
		
		jQuery('#btn_play').fadeTo(200,0.2);
		jQuery('#btn_rewind').fadeTo(200,0.2);
	
		document.getElementById('btn_animated').style.display="none";
		document.getElementById('btn_overview').style.display="";	
		
	}
	else {		
	
		wpmt_toggle_animation = 0;			
		jQuery('#btn_play').fadeTo(200,1);
		jQuery('#btn_rewind').fadeTo(200,1);
		wpmt_build_display(0);
	
		document.getElementById('btn_animated').style.display="";
		document.getElementById('btn_overview').style.display="none";	
		
	}	
}

function wpmt_toggle_visitor_details() {
	
	if(wpmt_toggle_details==1) {	
	
		document.getElementById('btn_details_1').style.display="none";
		document.getElementById('btn_details_2').style.display="";	
		document.getElementById('btn_details_3').style.display="none";
		wpmt_toggle_details = 2;	
		wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 
		
	}
	else if(wpmt_toggle_details==2) {		
	
		document.getElementById('btn_details_1').style.display="none";
		document.getElementById('btn_details_2').style.display="none";	
		document.getElementById('btn_details_3').style.display="";
		wpmt_toggle_details = 3;	
		wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 
		
	}	
	else {		
	
		document.getElementById('btn_details_1').style.display="";
		document.getElementById('btn_details_2').style.display="none";	
		document.getElementById('btn_details_3').style.display="none";
		wpmt_toggle_details = 1;	
		wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" )); 
		
	}	
	
	
	
}

//Initialize Playbar
jQuery(function() {
	
  jQuery.each( m, function(i, l){
	  if(l != undefined && i != undefined && m[i]['m']!=undefined) {				
   			if(m[i]['end_time'] > wpmt_max_time) { wpmt_max_time = m[i]['end_time']; } 
		 }
	});
	
  jQuery( "#wpmt_timeline" ).slider({
	range: "min",
	value:20,
	min: 0,
	max: wpmt_max_time,
	step: 5,
	slide: function( event, ui ) {
	  wpmt_pause();
	  wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" ));
	  jQuery( "#current_time" ).html(wpmt_timecode(ui.value));
	  wpmt_do_autofollow();
	},	
	change: function( event, ui ) {
	  wpmt_build_display(jQuery( "#wpmt_timeline" ).slider( "value" ));
	  jQuery( "#current_time" ).html(wpmt_timecode(ui.value));
	  wpmt_do_autofollow();
	}	  
  });
});

function wpmt_pause() { 

	wpmt_is_playing = 0;

	if(wpmt_player) { window.clearInterval(wpmt_player); wpmt_player = 0;}
	if(wpmt_rewinder) { window.clearInterval(wpmt_rewinder); wpmt_rewinder = 0;}
	
	document.getElementById('btn_play').style.display="";
	document.getElementById('btn_rewind').style.display="";
	document.getElementById('btn_play_pause').style.display="none";	
			
}

function wpmt_do_autofollow() {

		if(wpmt_autofollow!='' && wpmt_autofollow!=0) {
			
			ct = jQuery( "#wpmt_timeline" ).slider( "value" );
			
			if(typeof m[wpmt_autofollow]['to']=='undefined') { ato = parseInt(m[wpmt_autofollow]['to']);} else { ato = 0; }
			
			if(typeof m[wpmt_autofollow]['m'][ct+ato]['y']!='undefined') {
				
			jQuery('#wpmt_autofollow_disable').css('display','');
			
			scrolltop = wpmt_bhp(m[wpmt_autofollow]['m'][ct+ato]['y'],m[wpmt_autofollow]['m'][ct+ato]['s']);
			
			if(scrolltop < jQuery("#real_time_container").height() - scrolltop) { scrolltop = 0;}
			if(scrolltop > jQuery("#real_time_overlay").height() + scrolltop) { scrolltop = jQuery("#real_time_overlay").height() - jQuery("#real_time_container").height();}
			
			jQuery("#real_time_container").scrollTop(scrolltop - (jQuery("#real_time_container").height() / 2));
			
			}
			
		}	
	
}


function wpmt_play() {
	
	wpmt_pause();
	if(jQuery( "#wpmt_timeline" ).slider("option", "max")==jQuery( "#wpmt_timeline" ).slider( "value")) { jQuery( "#wpmt_timeline" ).slider( "value", 0);}
	
	if(wpmt_toggle_animation!=1) {
		
	wpmt_is_playing = 1;
	
	document.getElementById('btn_play').style.display="none";
	document.getElementById('btn_rewind').style.display="none";
	document.getElementById('btn_play_pause').style.display="";
	
	current_time = parseInt(jQuery( "#wpmt_timeline" ).slider( "value" ));		
	wpmt_player = setInterval(function() {  
	

		//Autofollow mouse here.
		//wpmt_do_autofollow();
		
		if(current_time < jQuery( "#wpmt_timeline" ).slider("option", "max")) { 
			current_time = current_time + 5; 
			if(wpmt_toggle_heat_vision==1) { if(current_time % 10 == 0) { jQuery( "#wpmt_timeline" ).slider( "value", current_time); } }
			else { jQuery( "#wpmt_timeline" ).slider( "value", current_time); }

		} else { 
			wpmt_pause();
		}
		
	} , 50);
	
	}
}

function wpmt_rewind() {
	
	wpmt_pause();
	
	if(wpmt_toggle_animation!=1) {
	
	document.getElementById('btn_play').style.display="none";
	document.getElementById('btn_rewind').style.display="none";
	document.getElementById('btn_play_pause').style.display="";
	
	current_time = parseInt(jQuery( "#wpmt_timeline" ).slider( "value" ));
	if(wpmt_player == 0) {

    wpmt_player = setInterval(function() {  
	
		if(current_time > 0) { 
			current_time = current_time - 5; 
			jQuery( "#wpmt_timeline" ).slider( "value", current_time);
		} else { 
			wpmt_pause();
		}
		
	} , 50);
	
	}
	
	}
}
  
function wpmt_timecode(wpmt_breakdown_time) {	
	
	minutes = Math.floor(wpmt_breakdown_time / 6000);	
	seconds = Math.floor((wpmt_breakdown_time % 6000)/100);	
	frames = Math.floor((wpmt_breakdown_time % 6000) - (seconds * 100));
	
	if(minutes==0) { minutes = "00"; } else if(minutes < 10) { minutes = "0" + minutes;}
	if(seconds==0) { seconds = "00"; } else if(seconds < 10) { seconds = "0" + seconds;}
	if(frames==0) { frames = "00"; } else if(frames < 10) { frames = "0" + frames;}
	
	return minutes + ":" + seconds + ":" + frames;
	
}
  
function wpmt_bh(y,h,s,st) { 

	if(s == undefined) { s = 0; }
	y = parseInt(y);
	s = parseInt(s);	
	
	if(y + s - st >= h) { r = h; }
	else if(y + s - st < -20) { r = -20; }
	else { r = y + s - st; }	

	r = Math.round(r);

	return r;
}

function wpmt_bw(x,w,wo) { 

	z = (parseInt(w) - parseInt(wo)) / 2;
	x = Math.round(parseInt(x) + z);
	
	if(x < -20) { x = -20; }
	if(x>w) { x = w; } 		
	
	return x;
	
}

function wpmt_bhp(y,s) { 

	if(s == undefined) { s = 0; }	
	r = parseInt(y) +  parseInt(s);	

	return r;
}

function wpmt_bwp(x,w,wo) { 

	z = (parseInt(w) - parseInt(wo)) / 2;
	x = Math.round(parseInt(x) + z);

	return x;
	
}

function wpmt_build_display(wpmt_time) {

	//Draw normal cursor tracking
	if(wpmt_toggle_heat_vision == 0 && wpmt_toggle_animation == 0 && wpmt_toggle_moves == 0) {
		wpmt_display_animated_cursors(wpmt_time);
	//Draw click tracking over time
	} else if(wpmt_toggle_heat_vision == 0 && wpmt_toggle_animation == 0 && wpmt_toggle_moves == 1) {
		wpmt_display_animated_clicks(wpmt_time);
	//Draw heatmap	
	} else if(wpmt_toggle_heat_vision == 1 && wpmt_toggle_animation == 0 && wpmt_toggle_moves == 0) {	
		wpmt_display_animated_cursors_heat(wpmt_time)
	} else if(wpmt_toggle_heat_vision == 0 && wpmt_toggle_animation == 1 && wpmt_toggle_moves == 1) {
		wpmt_display_overview_clicks();		
	} else if(wpmt_toggle_heat_vision == 1 && wpmt_toggle_animation == 0 && wpmt_toggle_moves == 1) {
		wpmt_display_animated_clicks_heat(wpmt_time);
	} else if(wpmt_toggle_heat_vision == 1 && wpmt_toggle_animation == 1 && wpmt_toggle_moves == 1) {
		wpmt_display_animated_clicks_heat(wpmt_max_time);
	} else if(wpmt_toggle_heat_vision == 1 && wpmt_toggle_animation == 1 && wpmt_toggle_moves == 0) {
		wpmt_display_cursors_heat();
	}
}


jQuery(document).ready(function(){
		 	
	if(iframe_message_interval) { window.clearInterval(iframe_message_interval); iframe_message_interval = 0;}
		
	jQuery('#real_time_iframe').load(function() {
		
	if(iframe_message_interval) { window.clearInterval(iframe_message_interval); iframe_message_interval = 0;}
		
			if(domain.length>0) {
						 
				var myPopup = document.getElementById('real_time_iframe');					
				document.getElementById("real_time_iframe").style.height = "500px";
				
					window.addEventListener('message',function(event) {
					
					if(document.getElementById('real_time_iframe').style.height != event.data + 'px') {
					 document.getElementById('real_time_iframe').style.height = event.data + 'px';
					 document.getElementById("real_time_overlay").style.height= event.data + 'px';
					 jQuery("canvas").attr('width', wpmt_width - 30).attr('height', event.data + 'px');
					 wpmt_iframe_height = event.data;
					  
					}
				},false);	
	
				iframe_message_interval = setInterval(function(){
					var message = '';
					myPopup.contentWindow.postMessage(message,domain);
				},1000);
				
			} else {
				
				wpmt_iframe_height = this.contentWindow.document.body.offsetHeight;
				document.getElementById("real_time_overlay").style.height= wpmt_iframe_height + "px";
				jQuery("canvas").attr("width", wpmt_width - 30).attr("height",  wpmt_iframe_height);				
				document.getElementById("real_time_iframe").style.height = wpmt_iframe_height + "px";
				
			}
	});



   jQuery('body').keydown(function(e) { 
	if (e.keyCode == 32) {
		if (e.stopPropagation) {
			 e.stopPropagation();
			 e.preventDefault();
			}
	  if(wpmt_is_playing!=1) { wpmt_play(); }
	  else { wpmt_pause(); }
	}
  });

  
});


var colors = {
	0:{1:70,2:70,3:70},
	1:{1:70,2:70,3:150},
	2:{1:0,2:190,3:190},
	3:{1:0,2:255,3:60},
	4:{1:100,2:255,3:0},
	5:{1:190,2:255,3:0},
	6:{1:255,2:255,3:0},
	7:{1:255,2:128,3:0},
	8:{1:255,2:0,3:0},
	9:{1:255,2:128,3:128},
	10:{1:255,2:255,3:255}
}

//DRAW CLICK HEAT MAPS
function wpmt_display_animated_clicks_heat(wpmt_time) {
	
//Draw at 10 frames per second
	if(wpmt_time % 10 == 0 || heat_frame_rendered==0 || wpmt_toggle_animation==1) { 
		
		if(wpmt_toggle_animation==1) { wpmt_time = wpmt_max_time; }
		
  		heat_frame_rendered = 1;
		
		//Get Important stuff
		var canvas = document.getElementById('real_time_canvas');
		var canvasWidth  = canvas.width;
		var canvasHeight = canvas.height;
		var ctx = canvas.getContext('2d');
		var imageData = ctx.getImageData(0, 0, canvasWidth, canvasHeight);
			
		var buf = new ArrayBuffer(imageData.data.length);
		var buf8 = new Uint8ClampedArray(buf);
		var data = new Uint32Array(buf);
			
		// Determine whether Uint32 is little- or big-endian.
		data[1] = 0x0a0b0c0d;
		
			if(typeof p == 'undefined') {	
										
			var p = new Array();
							
			//Make a big ass array
			yi = 0;
			for (var y = 0; y <= canvasHeight; y=y+20) {
				p[yi] = [];
				xi = 0;
				for (var x = 0; x <= canvasWidth; x=x+20) {
					p[yi][xi] = 0;		
					xi++;					
				}
				yi++;
			}
		
		}
		
		
		//Cursor position animated
		if(wpmt_toggle_moves == 1) {			
		
			jQuery.each( m, function(i, l){			
			if(typeof m[i]!='undefined') { 
				if(typeof m[i]['to']=='undefined') { m[i]['to'] = 0; } 
				t = wpmt_time + m[i]['to'];	
				wo = 0;				
				jQuery.each(m[i]['w'], function(j, k) { if(j < t) { wo = k['w']; } });					
				if(typeof m[i]['c']!='undefined') {
					jQuery.each( m[i]['c'], function(j, k){	
						if(typeof m[i]['c']!='undefined') {
							if(typeof m[i]['c'][j]!='undefined' && j > 0) {
								jt = parseInt(j) + m[i]['to'];									
								//Add clicks in the past and present
								if(jt <= t) { 
									if(typeof m[i]['m'][jt] != 'undefined') {
										 							
											v = Math.floor(wpmt_bhp(m[i]['c'][jt]['v'],m[i]['m'][jt]['s'])/20);
											u = Math.floor(wpmt_bwp(m[i]['c'][jt]['u'],wpmt_width,wo)/20);
											
											u1 = u - 1;
											u2 = u + 1;
											u3 = u - 2;
											u4 = u + 2;
											
											v1 = v - 1;
											v2 = v + 1;
											v3 = v - 2;
											v4 = v + 2;
											
											//save changes into array
											if(typeof p[v] != 'undefined') { 
												if(typeof p[v][u] != 'undefined') {	 p[v][u] = p[v][u]+4; } 
												if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+2; }
												if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+2; }	
												if(typeof p[v][u3] != 'undefined') { p[v][u3] = p[v][u3]+1; }	
												if(typeof p[v][u4] != 'undefined') { p[v][u4] = p[v][u4]+1; }							
											}
											if(typeof p[v1] != 'undefined') { 
												if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+2; }
												if(typeof p[v1][u1] != 'undefined') { p[v1][u1] = p[v1][u1]+1; }
												if(typeof p[v1][u2] != 'undefined') { p[v1][u2] = p[v1][u2]+1; }				
											}
											if(typeof p[v2] != 'undefined') { 
												if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+2; }
												if(typeof p[v2][u1] != 'undefined') { p[v2][u1] = p[v2][u1]+1; }
												if(typeof p[v2][u2] != 'undefined') { p[v2][u2] = p[v2][u2]+1; }
											}	
											if(typeof p[v3] != 'undefined') { 
												if(typeof p[v3][u] != 'undefined') {  p[v3][u] = p[v3][u]+1; }
											}		
											if(typeof p[v4] != 'undefined') { 
												if(typeof p[v4][u] != 'undefined') {  p[v4][u] = p[v4][u]+1; }
											}	
																								
									}																
								}
							}
						}						
					});
				}			
			}
		});
		
		//Draw the pixels	
		var isLittleEndian = true;
		if (buf[4] === 0x0a && buf[5] === 0x0b && buf[6] === 0x0c &&
			buf[7] === 0x0d) {
			isLittleEndian = false;
		}
		
		if (isLittleEndian) {
			for (var y = 0; y < canvasHeight; ++y) {
				for (var x = 0; x < canvasWidth; ++x) {
		
					u = Math.floor(x / 20);
					v = Math.floor(y / 20);
					tc = p[v][u];
					if(tc>10) { tc = 10; }
		
					data[y * canvasWidth + x] =
						(255   << 24) |    // alpha
						(colors[tc][3] << 16) |    // blue
						(colors[tc][2] <<  8) |    // green
						 colors[tc][1];            // red
			  }
			}
		} else {
			for (y = 0; y < canvasHeight; ++y) {
				for (x = 0; x < canvasWidth; ++x) {
		
					u = Math.floor(x / 20);
					v = Math.floor(y / 20);
					tc = p[v][u];
					if(tc>10) { tc = 10; }
		
					data[y * canvasWidth + x] =
						(colors[tc][1] << 24) |    // red
						(colors[tc][2] << 16) |    // green
						(colors[tc][3] <<  8) |    // blue
						 255;              // alpha
				}
			}
		}
		
		imageData.data.set(buf8);
		
		ctx.putImageData(imageData, 0, 0);		
		
		}
		

}
}

//DRAW CURSOR HEAT MAPS
function wpmt_display_animated_cursors_heat(wpmt_time) {
	
		//Draw at 10 frames per second
		if(wpmt_time % 10 == 0 || heat_frame_rendered==0) { 
		  
  		heat_frame_rendered = 1;
		
		//Get Important stuff
		var canvas = document.getElementById('real_time_canvas');
		var canvasWidth  = canvas.width;
		var canvasHeight = canvas.height;
		var ctx = canvas.getContext('2d');
		var imageData = ctx.getImageData(0, 0, canvasWidth, canvasHeight);
			
		var buf = new ArrayBuffer(imageData.data.length);
		var buf8 = new Uint8ClampedArray(buf);
		var data = new Uint32Array(buf);
			
		// Determine whether Uint32 is little- or big-endian.
		data[1] = 0x0a0b0c0d;
		
			if(typeof p == 'undefined') {
										
			var p = new Array();
			
							
			//Make a big ass array
			yi = 0;
			for (var y = 0; y <= canvasHeight; y=y+20) {
				p[yi] = [];
				xi = 0;
				for (var x = 0; x <= canvasWidth; x=x+20) {
					p[yi][xi] = 0;		
					xi++;					
				}
				yi++;
			}
		
		}
		
		//Cursor position animated
		if(wpmt_toggle_moves == 0 && wpmt_toggle_animation == 0) {	
						
				jQuery.each( m, function(i, l){
					if(l != undefined && i != undefined && m[i]['m'][wpmt_time]!=undefined) {
						
						wo = 0;				
						if(m[i]['to']==undefined) { m[i]['to'] = 0; } 
						t = wpmt_time + m[i]['to'];
						jQuery.each(m[i]['w'], function(j, k) { if(j < t) { wo = k['w']; } });		
						
						v = Math.floor(wpmt_bhp(m[i]['m'][t]['y'],m[i]['m'][t]['s'])/20);
						u = Math.floor(wpmt_bwp(m[i]['m'][t]['x'],wpmt_width,wo)/20);
						
						u1 = u - 1;
						u2 = u + 1;
						u3 = u - 2;
						u4 = u + 2;
						
						v1 = v - 1;
						v2 = v + 1;
						v3 = v - 2;
						v4 = v + 2;
						
						//save changes into array
						if(typeof p[v] != 'undefined') { 
							if(typeof p[v][u] != 'undefined') {	 p[v][u] = p[v][u]+7; } 
							if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+6; }
							if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+6; }
							if(typeof p[v][u3] != 'undefined') { p[v][u3] = p[v][u3]+3; }
							if(typeof p[v][u4] != 'undefined') { p[v][u4] = p[v][u4]+3; }							
						}
						if(typeof p[v1] != 'undefined') { 
							if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+6; }
							if(typeof p[v1][u1] != 'undefined') { p[v1][u1] = p[v1][u1]+4; }
							if(typeof p[v1][u2] != 'undefined') { p[v1][u2] = p[v1][u2]+4; }
							if(typeof p[v1][u3] != 'undefined') { p[v1][u3] = p[v1][u3]+2; }
							if(typeof p[v1][u4] != 'undefined') { p[v1][u4] = p[v1][u4]+2; }						
						}
						if(typeof p[v2] != 'undefined') { 
							if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+6; }
							if(typeof p[v2][u1] != 'undefined') { p[v2][u1] = p[v2][u1]+4; }
							if(typeof p[v2][u2] != 'undefined') { p[v2][u2] = p[v2][u2]+4; }
							if(typeof p[v2][u4] != 'undefined') { p[v2][u4] = p[v2][u4]+2; }
							if(typeof p[v2][u3] != 'undefined') { p[v2][u3] = p[v2][u3]+2; }
						}						
						if(typeof p[v3] != 'undefined') { 
							if(typeof p[v3][u] != 'undefined') {  p[v3][u] = p[v3][u]+3; }
							if(typeof p[v3][u1] != 'undefined') { p[v3][u1] = p[v3][u1]+2; }
							if(typeof p[v3][u2] != 'undefined') { p[v3][u2] = p[v3][u2]+2; }
						}
						if(typeof p[v4] != 'undefined') { 
							if(typeof p[v4][u] != 'undefined') {  p[v4][u] = p[v4][u]+3; }
							if(typeof p[v4][u1] != 'undefined') { p[v4][u1] = p[v4][u1]+2; }
							if(typeof p[v4][u2] != 'undefined') { p[v4][u2] = p[v4][u2]+2; }
						}
						
						
						if(typeof m[i]['m'][t-10] != 'undefined') {
								
							v = Math.floor(wpmt_bhp(m[i]['m'][t-10]['y'],m[i]['m'][t]['s'])/20);
							u = Math.floor(wpmt_bwp(m[i]['m'][t-10]['x'],wpmt_width,wo)/20);
							
						
							u1 = u - 1;
							u2 = u + 1;
							u3 = u - 2;
							u4 = u + 2;
							
							v1 = v - 1;
							v2 = v + 1;
							v3 = v - 2;
							v4 = v + 2;
							
							//save changes into array
							if(typeof p[v] != 'undefined') { 
								if(typeof p[v][u] != 'undefined') {	 p[v][u] = p[v][u]+4; } 
								if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+3; }
								if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+3; }
								if(typeof p[v][u3] != 'undefined') { p[v][u3] = p[v][u3]+2; }
								if(typeof p[v][u4] != 'undefined') { p[v][u4] = p[v][u4]+2; }							
							}
							if(typeof p[v1] != 'undefined') { 
								if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+3; }
								if(typeof p[v1][u1] != 'undefined') { p[v1][u1] = p[v1][u1]+2; }
								if(typeof p[v1][u2] != 'undefined') { p[v1][u2] = p[v1][u2]+2; }
								if(typeof p[v1][u3] != 'undefined') { p[v1][u3] = p[v1][u3]+1; }
								if(typeof p[v1][u4] != 'undefined') { p[v1][u4] = p[v1][u4]+1; }						
							}
							if(typeof p[v2] != 'undefined') { 
								if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+3; }
								if(typeof p[v2][u1] != 'undefined') { p[v2][u1] = p[v2][u1]+2; }
								if(typeof p[v2][u2] != 'undefined') { p[v2][u2] = p[v2][u2]+2; }
								if(typeof p[v2][u4] != 'undefined') { p[v2][u4] = p[v2][u4]+1; }
								if(typeof p[v2][u3] != 'undefined') { p[v2][u3] = p[v2][u3]+1; }
							}						
							if(typeof p[v3] != 'undefined') { 
								if(typeof p[v3][u] != 'undefined') {  p[v3][u] = p[v3][u]+2; }
								if(typeof p[v3][u1] != 'undefined') { p[v3][u1] = p[v3][u1]+1; }
								if(typeof p[v3][u2] != 'undefined') { p[v3][u2] = p[v3][u2]+1; }
							}
							if(typeof p[v4] != 'undefined') { 
								if(typeof p[v4][u] != 'undefined') {  p[v4][u] = p[v4][u]+2; }
								if(typeof p[v4][u1] != 'undefined') { p[v4][u1] = p[v4][u1]+1; }
								if(typeof p[v4][u2] != 'undefined') { p[v4][u2] = p[v4][u2]+1; }
							}
						}
						
						if(typeof m[i]['m'][t-20] != 'undefined') {
								
							v = Math.floor(wpmt_bhp(m[i]['m'][t-20]['y'],m[i]['m'][t]['s'])/20);
							u = Math.floor(wpmt_bwp(m[i]['m'][t-20]['x'],wpmt_width,wo)/20);
							
						
							u1 = u - 1;
							u2 = u + 1;
							u3 = u - 2;
							u4 = u + 2;
							
							v1 = v - 1;
							v2 = v + 1;
							v3 = v - 2;
							v4 = v + 2;
							
							//save changes into array
							if(typeof p[v] != 'undefined') { 
								if(typeof p[v][u] != 'undefined') {	 p[v][u] = p[v][u]+3; } 
								if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+2; }
								if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+2; }
								if(typeof p[v][u3] != 'undefined') { p[v][u3] = p[v][u3]+1; }
								if(typeof p[v][u4] != 'undefined') { p[v][u4] = p[v][u4]+1; }							
							}
							if(typeof p[v1] != 'undefined') { 
								if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+2; }
								if(typeof p[v1][u1] != 'undefined') { p[v1][u1] = p[v1][u1]+1; }
								if(typeof p[v1][u2] != 'undefined') { p[v1][u2] = p[v1][u2]+1; }					
							}
							if(typeof p[v2] != 'undefined') { 
								if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+2; }
								if(typeof p[v2][u1] != 'undefined') { p[v2][u1] = p[v2][u1]+1; }
								if(typeof p[v2][u2] != 'undefined') { p[v2][u2] = p[v2][u2]+1; }
							}						
							if(typeof p[v3] != 'undefined') { 
								if(typeof p[v3][u] != 'undefined') {  p[v3][u] = p[v3][u]+1; }
							}
							if(typeof p[v4] != 'undefined') { 
								if(typeof p[v4][u] != 'undefined') {  p[v4][u] = p[v4][u]+1; }
							}
						}
						
						
						if(typeof m[i]['m'][t-30] != 'undefined') {
								
							v = Math.floor(wpmt_bhp(m[i]['m'][t-30]['y'],m[i]['m'][t]['s'])/20);
							u = Math.floor(wpmt_bwp(m[i]['m'][t-30]['x'],wpmt_width,wo)/20);
							
						
							u1 = u - 1;
							u2 = u + 1;
							u3 = u - 2;
							u4 = u + 2;
							
							v1 = v - 1;
							v2 = v + 1;
							v3 = v - 2;
							v4 = v + 2;
							
							//save changes into array
							if(typeof p[v] != 'undefined') { 
								if(typeof p[v][u] != 'undefined') {	 p[v][u] = p[v][u]+2; } 
								if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+1; }
								if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+1; }
								if(typeof p[v][u3] != 'undefined') { p[v][u3] = p[v][u3]+1; }
								if(typeof p[v][u4] != 'undefined') { p[v][u4] = p[v][u4]+1; }							
							}
							if(typeof p[v1] != 'undefined') { 
								if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+1; }
								if(typeof p[v1][u1] != 'undefined') { p[v1][u1] = p[v1][u1]+1; }				
							}
							if(typeof p[v2] != 'undefined') { 
								if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+1; }
								if(typeof p[v2][u1] != 'undefined') { p[v2][u1] = p[v2][u1]+1; }
							}	
							if(typeof p[v3] != 'undefined') { 
								if(typeof p[v3][u] != 'undefined') {  p[v3][u] = p[v3][u]+1; }
							}	
							if(typeof p[v4] != 'undefined') { 
								if(typeof p[v4][u] != 'undefined') {  p[v4][u] = p[v4][u]+1; }
							}	
						}
						
						
						if(typeof m[i]['m'][t-40] != 'undefined') {
								
							v = Math.floor(wpmt_bhp(m[i]['m'][t-40]['y'],m[i]['m'][t]['s'])/20);
							u = Math.floor(wpmt_bwp(m[i]['m'][t-40]['x'],wpmt_width,wo)/20);
							
						
							u1 = u - 1;
							u2 = u + 1;
							u3 = u - 2;
							u4 = u + 2;
							
							v1 = v - 1;
							v2 = v + 1;
							v3 = v - 2;
							v4 = v + 2;
							
							//save changes into array
							if(typeof p[v] != 'undefined') { 
								if(typeof p[v][u] != 'undefined') {	 p[v][u] = p[v][u]+1; } 
								if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+1; }
								if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+1; }						
							}
							if(typeof p[v1] != 'undefined') { 
								if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+1; }				
							}
							if(typeof p[v2] != 'undefined') { 
								if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+1; }			
							}
						}
						
						
						if(typeof m[i]['m'][t-50] != 'undefined') {
								
							v = Math.floor(wpmt_bhp(m[i]['m'][t-50]['y'],m[i]['m'][t]['s'])/20);
							u = Math.floor(wpmt_bwp(m[i]['m'][t-50]['x'],wpmt_width,wo)/20);
							
						
							u1 = u - 1;
							u2 = u + 1;
							u3 = u - 2;
							u4 = u + 2;
							
							v1 = v - 1;
							v2 = v + 1;
							v3 = v - 2;
							v4 = v + 2;
							
							//save changes into array
							if(typeof p[v] != 'undefined') { 
								if(typeof p[v][u] != 'undefined') {	 p[v][u] = p[v][u]+1; } 
								if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+1; }
								if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+1; }						
							}
							if(typeof p[v1] != 'undefined') { 
								if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+1; }
								if(typeof p[v1][u1] != 'undefined') { p[v1][u1] = p[v1][u1]+1; }				
							}
							if(typeof p[v2] != 'undefined') { 
								if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+1; }			
							}
						}

						
					}
				});		
			
		}
			
		
		//Draw the pixels	
		var isLittleEndian = true;
		if (buf[4] === 0x0a && buf[5] === 0x0b && buf[6] === 0x0c &&
			buf[7] === 0x0d) {
			isLittleEndian = false;
		}
		
		if (isLittleEndian) {
			for (var y = 0; y < canvasHeight; ++y) {
				for (var x = 0; x < canvasWidth; ++x) {
		
					u = Math.floor(x / 20);
					v = Math.floor(y / 20);
					tc = p[v][u];
					if(tc>10) { tc = 10; }
		
					data[y * canvasWidth + x] =
						(255   << 24) |    // alpha
						(colors[tc][3] << 16) |    // blue
						(colors[tc][2] <<  8) |    // green
						 colors[tc][1];            // red
			  }
			}
		} else {
			for (y = 0; y < canvasHeight; ++y) {
				for (x = 0; x < canvasWidth; ++x) {
		
					u = Math.floor(x / 20);
					v = Math.floor(y / 20);
					tc = p[v][u];
					if(tc>10) { tc = 10; }
		
					data[y * canvasWidth + x] =
						(colors[tc][1] << 24) |    // red
						(colors[tc][2] << 16) |    // green
						(colors[tc][3] <<  8) |    // blue
						 255;              // alpha
				}
			}
		}
		
		imageData.data.set(buf8);
		
		ctx.putImageData(imageData, 0, 0);
	
	}


}

//DRAW CURSOR HEAT MAPS
function wpmt_display_cursors_heat() {
		
		
		//Get Important stuff
		var canvas = document.getElementById('real_time_canvas');
		var canvasWidth  = canvas.width;
		var canvasHeight = canvas.height;
		var ctx = canvas.getContext('2d');
		var imageData = ctx.getImageData(0, 0, canvasWidth, canvasHeight);
			
		var buf = new ArrayBuffer(imageData.data.length);
		var buf8 = new Uint8ClampedArray(buf);
		var data = new Uint32Array(buf);
			
		// Determine whether Uint32 is little- or big-endian.
		data[1] = 0x0a0b0c0d;
		
			if(typeof p == 'undefined') {
										
			var p = new Array();
			
							
			//Make a big ass array
			yi = 0;
			for (var y = 0; y <= canvasHeight; y=y+20) {
				p[yi] = [];
				xi = 0;
				for (var x = 0; x <= canvasWidth; x=x+20) {
					p[yi][xi] = 0;		
					xi++;					
				}
				yi++;
			}
		
		}
		
				  
		  jQuery.each( m, function(i, l){
			  if(l != undefined && i != undefined && m[i]['m']!=undefined) {
				  
				  wo = 0;		
						  
				  jQuery.each(m[i]['m'], function(h, g){
				  
					  jQuery.each(m[i]['w'], function(j, k) { if(j < t) { wo = k['w']; } });						
					  if(typeof m[i]['m'][h] != 'undefined') {
							  
						  v = Math.floor(wpmt_bhp(m[i]['m'][h]['y'],m[i]['m'][h]['s'])/20);
						  u = Math.floor(wpmt_bwp(m[i]['m'][h]['x'],wpmt_width,wo)/20);							
					  
						  u1 = u - 1;
						  u2 = u + 1;
						  
						  v1 = v - 1;
						  v2 = v + 1;
						  
						  //save changes into array
						  if(typeof p[v] != 'undefined') { 
							  if(typeof p[v][u] != 'undefined') { p[v][u] = p[v][u]+0.2; } 
							  if(typeof p[v][u1] != 'undefined') { p[v][u1] = p[v][u1]+0.2; }
							  if(typeof p[v][u2] != 'undefined') { p[v][u2] = p[v][u2]+0.2; }						
						  }
						  if(typeof p[v1] != 'undefined') { 
							  if(typeof p[v1][u] != 'undefined') {  p[v1][u] = p[v1][u]+0.2; }			
						  }
						  if(typeof p[v2] != 'undefined') { 
							  if(typeof p[v2][u] != 'undefined') {  p[v2][u] = p[v2][u]+0.2; }			
						  }
					  }
				  });						
			  }
		  });					
		
			
		
		//Draw the pixels	
		var isLittleEndian = true;
		if (buf[4] === 0x0a && buf[5] === 0x0b && buf[6] === 0x0c &&
			buf[7] === 0x0d) {
			isLittleEndian = false;
		}
		
		if (isLittleEndian) {
			for (var y = 0; y < canvasHeight; ++y) {
				for (var x = 0; x < canvasWidth; ++x) {
		
					u = Math.floor(x / 20);
					v = Math.floor(y / 20);
					tc = Math.round(p[v][u]);
					if(tc>10) { tc = 10; }
		
					data[y * canvasWidth + x] =
						(255   << 24) |    // alpha
						(colors[tc][3] << 16) |    // blue
						(colors[tc][2] <<  8) |    // green
						 colors[tc][1];            // red
			  }
			}
		} else {
			for (y = 0; y < canvasHeight; ++y) {
				for (x = 0; x < canvasWidth; ++x) {
		
					u = Math.floor(x / 20);
					v = Math.floor(y / 20);
					tc = Math.round(p[v][u]);
					if(tc>10) { tc = 10; }
		
					data[y * canvasWidth + x] =
						(colors[tc][1] << 24) |    // red
						(colors[tc][2] << 16) |    // green
						(colors[tc][3] <<  8) |    // blue
						 255;              // alpha
				}
			}
		}
		
		imageData.data.set(buf8);
		
		ctx.putImageData(imageData, 0, 0);
	
	
	
	
}

function wpmt_display_animated_cursors(wpmt_time) {
	
		jQuery.each( m, function(i, l){
   			if(l != undefined && i != undefined && m[i]['m'][wpmt_time]!=undefined) {
				
				wo = 0;				
				if(m[i]['to']==undefined) { m[i]['to'] = 0; } 
				t = wpmt_time + m[i]['to'];
				jQuery.each(m[i]['w'], function(j, k) { if(j < t) { wo = k['w']; } });				
				
				if(jQuery('#m' + i).length == 0)  { jQuery("#real_time_display").append("<div id=\"m"+ i +"\" style=\"z-index:100; position:absolute;\"><img src=\"<?= plugins_url('mice/gfx_cursor.png', __FILE__) ?>\" style=\"position:absolute; z-index:100;\"><div id=\"s"+ i +"\"></div></div>"); }
				
				if(m[i]['c'][t]!=undefined) { 
				
					if(jQuery('#c' + i).length == 0)  { jQuery("#real_time_display").append("<div id=\"c"+ i +"\" style=\"position:absolute; z-index:50;\"><img id=\"ci"+ i +"\"  src=\"<?= plugins_url('mice/gfx_click_big.png', __FILE__) ?>\" style=\"position:absolute; z-index:50;\"></div>"); }					
			 		jQuery("#ci"+i).stop(true,true);							
			 		jQuery("#c"+i).stop(true,true);					
					jQuery("#ci"+i).css({
						top: '-5px',
						left: '-5px',
						width: '10px',
						height: '10px'
					}).show();											
					jQuery("#c"+i).css({
						top: wpmt_bh(m[i]['m'][t]['y'],wpmt_height,m[i]['m'][t]['s'],wpmt_scroll_top)+ "px",
						left: wpmt_bw(m[i]['m'][t]['x'],wpmt_width,wo) + "px"
					}).show();				
				} else { 
				
				if(jQuery('#c' + i).length > 0)  
					{ 		
			 			jQuery("#ci"+i).animate({"width": 50,"height": 50,"top" : -25,"left" : -25 }, 800 );
						jQuery("#c"+i).fadeOut(800);
					}
				}
				
				if (wpmt_toggle_details==1) {
					jQuery('#s' + i).html('');					
			    } else if(wpmt_toggle_details==2) {
					jQuery('#s' + i).html('<div style="color:#fff; background-color:#36A; opacity:0.9;filter: alpha(opacity=90); margin-left:15px; padding:4px; border:1px #005 solid;">'+ m[i]['flag'] +'&nbsp;&nbsp;<a href="?page=wpmt/admin_pages/wpmt_single.php&visitor='+m[i]['visitor_id']+'" class="button">Single</a>  <a href="javascript:void(0)" onclick="wpmt_autofollow=0; wpmt_autofollow='+i+'; wpmt_build_display(jQuery( \'#wpmt_timeline\' ).slider( \'value\' ));" class="button">Follow</a> </div>');				
				} else if (wpmt_toggle_details==3) {
					jQuery('#s' + i).html('<div style="color:#fff; background-color:#369; opacity:0.9;filter: alpha(opacity=90); margin-left:15px; padding:4px; border:1px #005 solid; line-height:18px;">'+ m[i]['flag'] +" "+ m[i]['ip_address'] +"<br>"+ m[i]['browser'] +' - '+ m[i]['os'] + '<br>'+ m[i]["page_view_time"] +'<br><a href="?page=wpmt/admin_pages/wpmt_single.php&visitor='+m[i]['visitor_id']+'" class="button">Single</a>  <a href="javascript:void(0)" onclick="wpmt_autofollow=0; wpmt_autofollow='+i+'; wpmt_build_display(jQuery( \'#wpmt_timeline\' ).slider( \'value\' ));" class="button">Follow</a></div>');		
				}
													
				jQuery("#m"+i).css({
					top: wpmt_bh(m[i]['m'][t]['y'],wpmt_height,m[i]['m'][t]['s'],wpmt_scroll_top)+ "px",
					left: wpmt_bw(m[i]['m'][t]['x'],wpmt_width,wo) + "px"
				}).show();
				
			} else { 
			
				jQuery("#m"+ i ).fadeOut(1500, function() { jQuery(this).remove(); });
			
			}
 		});
}


function wpmt_display_overview_clicks() {
if(wpmt_toggle_heat_vision != 1)	{	
	wpmt_time = 100;	
		jQuery.each( m, function(i, l){			
			if(typeof m[i]!='undefined') { 
				if(typeof m[i]['to']=='undefined') { m[i]['to'] = 0; } 
				t = wpmt_time + m[i]['to'];	
				wo = 0;				
				jQuery.each(m[i]['w'], function(j, k) { if(j < t) { wo = k['w']; } });					
				if(typeof m[i]['c']!='undefined') {
					jQuery.each( m[i]['c'], function(j, k){	
						if(typeof m[i]['c']!='undefined') {
							if(typeof m[i]['c'][j]!='undefined' && j > 0) {
								jt = parseInt(j) + m[i]['to'];	
								
									if(jQuery('#c' + i + "-"+ jt).length == 0)  { 
									
										if(typeof m[i]['m'][jt]!='undefined') {
										
											jQuery("#real_time_container").append("<div id=\"c"+ i + "-"+ jt +"\" style=\"position:absolute; z-index:50;\"><img id=\"ci"+ i + "-"+ jt +"\"  src=\"<?= plugins_url('mice/gfx_click.png', __FILE__) ?>\" style=\"position:absolute; z-index:50;\"><div id=\"s"+ i +"\"></div></div>"); 	
																	
											jQuery("#c"+ i + "-"+ jt).css({
												top: wpmt_bhp(m[i]['c'][jt]['v'],m[i]['m'][jt]['s'])+ "px",
												left: wpmt_bwp(m[i]['c'][jt]['u'],wpmt_width,wo) + "px"
											}).show();	
										
											jQuery("#ci"+ i + "-"+ jt).fadeTo(0,0.5);
												
											
										}
									}															
							}
						}						
					});
				}			
			}
		});		
}
	
}

function wpmt_display_animated_clicks(wpmt_time) {
if(wpmt_toggle_heat_vision != 1)	{
		
		jQuery.each( m, function(i, l){			
			if(typeof m[i]!='undefined') { 
				if(typeof m[i]['to']=='undefined') { m[i]['to'] = 0; } 
				t = wpmt_time + m[i]['to'];	
				wo = 0;				
				jQuery.each(m[i]['w'], function(j, k) { if(j < t) { wo = k['w']; } });					
				if(typeof m[i]['c']!='undefined') {
					jQuery.each( m[i]['c'], function(j, k){	
						if(typeof m[i]['c']!='undefined') {
							if(typeof m[i]['c'][j]!='undefined' && j > 0) {
								jt = parseInt(j) + m[i]['to'];									
								
								//Remove clicks in the future
								if(jt > t) {
								
									if(jQuery('#c' + i + "-"+ jt).length > 0)  { jQuery('#c' + i + "-"+ jt).remove(); }		
									
								}
								
								//Add clicks in the past
								if(jt < t) {
										
									if(jQuery('#c' + i + "-"+ jt).length == 0)  { 
									
										jQuery("#real_time_container").append("<div id=\"c"+ i + "-"+ jt +"\" style=\"position:absolute; z-index:50;\"><img id=\"ci"+ i + "-"+ jt +"\"  src=\"<?= plugins_url('mice/gfx_click.png', __FILE__) ?>\" style=\"position:absolute; z-index:50;\"><div id=\"s"+ i +"-"+ jt +"\"></div></div>"); 	
										
										jQuery("#c"+ i + "-"+ jt).css({
											top: wpmt_bhp(m[i]['c'][jt]['v'],m[i]['m'][jt]['s'])+ "px",
											left: wpmt_bwp(m[i]['c'][jt]['u'],wpmt_width,wo) + "px"
										}).show();	
									
										jQuery("#ci"+ i + "-"+ jt).fadeTo(0,0.5);
									}
									
								}
								
								//Animate clicks in the present
								if(jt==t) {
										
									if(jQuery('#c' + i + "-"+ jt).length == 0)  { 
									
										jQuery("#real_time_container").append("<div id=\"c"+ i + "-"+ jt +"\" style=\"position:absolute; z-index:50;\"><img id=\"ci"+ i + "-"+ jt +"\"  src=\"<?= plugins_url('mice/gfx_click.png', __FILE__) ?>\" style=\"position:absolute; z-index:50;\"><div id=\"s"+ i +"-"+ jt +"\"></div></div>");									
										jQuery("#ci"+ i + "-"+ jt).css({
											top: '-1px',
											left: '-1px',
											width: '2px',
											height: '2px'
										}).show();	
																				
										jQuery("#c"+ i + "-"+ jt).css({
											top: wpmt_bhp(m[i]['c'][jt]['v'],m[i]['m'][jt]['s'])+ "px",
											left: wpmt_bwp(m[i]['c'][jt]['u'],wpmt_width,wo) + "px"
										}).show();		
									
									
										jQuery("#ci"+ i + "-"+ jt).animate({"width": 22,"height": 22,"top" : -11,"left" : -11 }, 200 );	
										jQuery("#ci"+ i + "-"+ jt).animate({"width": 15,"height": 15,"top" : -7,"left" : -7 }, 500 );	
										jQuery("#ci"+ i + "-"+ jt).fadeTo(1500,0.5);	
										
									}									
								}
								
																	
							}
						}						
					});
				}			
			}
		});
		
}}




</script>


<?php	
}







?>